Skip to main content
POST
/
2025-01
/
retail-media
/
line-items
/
{line-item-id}
/
products
/
append
/2025-01/retail-media/line-items/{line-item-id}/products/append
curl --request POST \
  --url https://api.criteo.com/2025-01/retail-media/line-items/{line-item-id}/products/append \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "attributes": {
        "bidOverride": 123,
        "id": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ]
}
'
import requests

url = "https://api.criteo.com/2025-01/retail-media/line-items/{line-item-id}/products/append"

payload = { "data": [
{
"attributes": {
"bidOverride": 123,
"id": "<string>"
},
"id": "<string>",
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
attributes: {bidOverride: 123, id: '<string>'},
id: '<string>',
type: '<string>'
}
]
})
};

fetch('https://api.criteo.com/2025-01/retail-media/line-items/{line-item-id}/products/append', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "status": 123,
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "status": 123,
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

line-item-id
string
required

ID of the line item

Body

application/json

Request body whose {data} contains an array of promoted products.

Request object containing promoted products to be appended, deleted, paused or unpaused.

data
object[]

Response

Promoted products appended to the line item with warnings

Outcome object containing errors and warnings.

errors
object[] | null
warnings
object[] | null